incubator-easyant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée <nicolas.lale...@hibnet.org>
Subject Testing phase-less easyant plugins
Date Fri, 22 Apr 2011 09:31:05 GMT
As part of EASYANT-27[ 1], I reimplemented the plugins so they all rely on extension point
rather than phases. As I wrote in the comment of the jira, it needs a little testing. But
I am quite stuck here.
I wanted to setup at least some basic antunit test which would just load the plugin. But in
each plugin, I forced them to require an easyant 0.9, since they will correctly run on a phase-less
easyant. Since the launch of the test of a plugin is done with a released easyant 0.8, any
test would fail because of the check of the easyant version.
Any idea on how we should tackle that ?

Nicolas

[1] https://issues.apache.org/jira/browse/EASYANT-27


Mime
View raw message